ICU 74.2: icu::Locale::RangeIterator< Iter > Class Template Reference

ICU 74.2 74.2

Public Member Functions
icu::Locale::RangeIterator< Iter > Class Template Reference

A generic Locale iterator implementation over Locale input iterators. More...

`#include <locid.h>`

Inheritance diagram for icu::Locale::RangeIterator< Iter >:

## Public Member Functions
| RangeIterator (Iter begin, Iter end)
| Constructs an iterator from a begin/end range.
UBool | hasNext () const override
const Locale & | next () override
Public Member Functions inherited from icu::Locale::Iterator
virtual | ~Iterator ()
virtual UBool | hasNext () const =0
virtual const Locale & | next ()=0

## Detailed Description

template<typename Iter>
class icu::Locale::RangeIterator< Iter >

A generic Locale iterator implementation over Locale input iterators.

Stable:
  ICU 65

Definition at line 1040 of file locid.h.

## Constructor & Destructor Documentation

## ◆ RangeIterator()

template<typename Iter >

icu::Locale::RangeIterator< Iter >::RangeIterator | ( | Iter | begin,
|  | Iter | end
| ) |  |
| inline

Constructs an iterator from a begin/end range.

Each of the iterator parameter values must be an input iterator whose value is convertible to const Locale &.

Parameters

  begin | Start of range.
  end | Exclusive end of range.

Stable:
  ICU 65

Definition at line 1051 of file locid.h.

## Member Function Documentation

## ◆ hasNext()

template<typename Iter >

UBool icu::Locale::RangeIterator< Iter >::hasNext | ( |  | ) | const
| inlineoverridevirtual

Returns
  true if next() can be called again.

Stable:
  ICU 65

Implements icu::Locale::Iterator.

Definition at line 1057 of file locid.h.

## ◆ next()

template<typename Iter >

const Locale & icu::Locale::RangeIterator< Iter >::next | ( |  | ) |
| inlineoverridevirtual

Returns
  the next locale.

Stable:
  ICU 65

Implements icu::Locale::Iterator.

Definition at line 1063 of file locid.h.

The documentation for this class was generated from the following file:

- common/unicode/locid.h